Name:		rancid
Version: 	3.13
Release:	13.1
License: 	GPL
Group: 		System
Summary: 	Really Awesome New Cisco confIg Differ
URL: 		http://www.shrubbery.net/rancid/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-dell.tar.bz2
Source2:	rancid.types.conf
Patch0:		rancid-skip-ping-test.patch
Patch8:		rancid-3.2-brocadevdx.patch
Patch9:		rancid-3.5.1-brocadevdx.patch
Patch10:	rancid-3.13-brocadevdx_makefiles.patch
Patch11:	rancid-3.13-brocadevdx-uptime.patch
# upstream patches

BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ expect >= 5.40 mailx iputils autoconf automake
%if 0%{?suse_version}
Requires(pre):	pwdutils
BuildRequires:	openssh
%else
Requires: shadow-utils
BuildRequires:	openssh-clients
%endif
BuildRequires:	telnet 
%if !%{?rhel} >= 8
BuildRequires:	rsh
%endif

%if 0%{?fedora_version} || 0%{?centos_version}
BuildRequires: expect-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
BuildRequires:	perl(Socket) >= 2.006
Requires:	perl(Socket) >= 2.006

%description
This is a popular ISP toolkit, based on expect and shell scripts,
for managing router configurations.
Rancid monitors a router's (or device's) configuration, including
software and hardware (cards, serial numbers, etc), using CVS.
Rancid currently supports Cisco routers, Juniper routers, Catalyst
switches, Foundry switches, Redback NASs, and ADC EZT3 muxes.

%prep
%setup -a 1
%if 0%{?rhel} >= 7
%patch0
%endif
%patch8
%patch9
%patch10
%patch11

%build
%if 0%{?rhel} >= 7
autoreconf -fi
%endif
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%__install -m755 rancid-dell/{drancid,dlogin} %{buildroot}%{_bindir}/
%__install -d %{buildroot}/var/log/rancid
%__install -m644 %{S:2} %{buildroot}%{_sysconfdir}/rancid.types.conf
rm -rf %{buildroot}/%{_datadir}/%{name}

%if 0%{?suse_version} > 1020
# create symlinks for man pages
%fdupes -s $RPM_BUILD_ROOT/%{_mandir}
%endif
find %{buildroot}/%{_mandir} -type f -exec gzip -9 {} \;

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} -d /var/lib/%{name} -s /sbin/nologin -c "user for %{name}" %{name}
exit 0

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/lg.conf
%config(noreplace) %{_sysconfdir}/rancid.conf
%config(noreplace) %{_sysconfdir}/rancid.types.base
%config(noreplace) %{_sysconfdir}/rancid.types.conf
%{_bindir}/agmrancid
#%{_bindir}/srancid
%{_bindir}/alogin
%{_bindir}/arancid
%{_bindir}/blogin
%{_bindir}/brancid
%{_bindir}/brlogin
%{_bindir}/cat5rancid
%{_bindir}/clogin
%{_bindir}/control_rancid
%{_bindir}/cssrancid
%{_bindir}/dlogin
%{_bindir}/drancid
%{_bindir}/elogin
%{_bindir}/erancid
#%{_bindir}/f10rancid
%{_bindir}/flogin
#%{_bindir}/fnrancid
%{_bindir}/fxlogin
%{_bindir}/hlogin
%{_bindir}/hpuifilter
%{_bindir}/hrancid
%{_bindir}/htlogin
%{_bindir}/htrancid
%{_bindir}/jerancid
%{_bindir}/jlogin
%{_bindir}/lg.cgi
%{_bindir}/lgform.cgi
%{_bindir}/mrancid
%{_bindir}/mtlogin
#%{_bindir}/mtrancid
%{_bindir}/nlogin
%{_bindir}/nrancid
%{_bindir}/nslogin
%{_bindir}/nsrancid
%{_bindir}/par
%{_bindir}/rancid
%{_bindir}/rancid-cvs
%{_bindir}/rancid-fe
%{_bindir}/rancid-run
%{_bindir}/rivlogin
%{_bindir}/rivrancid
%{_bindir}/rrancid
#%{_bindir}/zrancid
%{_bindir}/avologin
#%{_bindir}/avorancid
%{_bindir}/f5rancid
%{_bindir}/mrvlogin
%{_bindir}/tlogin
%{_bindir}/trancid
%{_bindir}/fnlogin
%{_bindir}/anlogin
#%{_bindir}/complogin
%{_bindir}/dllogin
%{_bindir}/xilogin
%{_bindir}/xirancid
%{_bindir}/panlogin
%{_bindir}/plogin
%{_bindir}/wlogin
%{_bindir}/a10login
%{_bindir}/rblogin
%{_bindir}/ulogin
%{_bindir}/xlogin
%{_bindir}/rtftpcopy
%{_bindir}/csblogin
%{_bindir}/noklogin
%{_mandir}/man1/arancid.1*
%{_mandir}/man1/brancid.1*
%{_mandir}/man1/alogin.1*
%{_mandir}/man1/blogin.1*
%{_mandir}/man1/cat5rancid.1*
%{_mandir}/man1/clogin.1*
%{_mandir}/man1/control_rancid.1*
%{_mandir}/man1/cssrancid.1*
%{_mandir}/man1/elogin.1*
%{_mandir}/man1/erancid.1*
#%{_mandir}/man1/f10rancid.1*
%{_mandir}/man1/flogin.1*
#%{_mandir}/man1/fnrancid.1*
%{_mandir}/man1/hlogin.1*
%{_mandir}/man1/hrancid.1*
%{_mandir}/man1/htlogin.1*
%{_mandir}/man1/htrancid.1*
%{_mandir}/man1/jerancid.1*
%{_mandir}/man1/jlogin.1*
#%{_mandir}/man1/lg_intro.1*
%{_mandir}/man1/mrancid.1*
%{_mandir}/man1/mtlogin.1*
#%{_mandir}/man1/mtrancid.1*
%{_mandir}/man1/nlogin.1*
%{_mandir}/man1/nrancid.1*
%{_mandir}/man1/nslogin.1*
%{_mandir}/man1/nsrancid.1*
%{_mandir}/man1/par.1*
#%{_mandir}/man1/prancid.1*
%{_mandir}/man1/rancid-cvs.1*
%{_mandir}/man1/rancid-run.1*
%{_mandir}/man1/rancid.1*
#%{_mandir}/man1/rancid_intro.1*
%{_mandir}/man1/rivlogin.1*
%{_mandir}/man1/rivrancid.1*
#%{_mandir}/man1/zrancid.1*
%{_mandir}/man1/agmrancid.1*
%{_mandir}/man1/avologin.1*
#%{_mandir}/man1/avorancid.1*
%{_mandir}/man1/f5rancid.1*
#%{_mandir}/man1/nxrancid.1*
%{_mandir}/man1/rrancid.1*
#%{_mandir}/man1/srancid.1*
%{_mandir}/man1/tlogin.1*
#%{_mandir}/man1/arrancid.1*
%{_mandir}/man1/mrvlogin.1*
%{_mandir}/man1/trancid.1*
%{_mandir}/man5/cloginrc.5*
%{_mandir}/man5/lg.conf.5*
%{_mandir}/man5/rancid.conf.5*
%{_mandir}/man5/router.db.5*
%{_mandir}/man1/fnlogin.1*
%{_mandir}/man1/anlogin.1*
#%{_mandir}/man1/anrancid.1*
#%{_mandir}/man1/complogin.1*
##%{_mandir}/man1/comprancid.1*
%{_mandir}/man1/dllogin.1*
%{_mandir}/man1/xilogin.1*
%{_mandir}/man1/xirancid.1*
%{_mandir}/man1/panlogin.1*
%{_mandir}/man1/plogin.1*
%{_mandir}/man1/wlogin.1*
%{_mandir}/man1/ulogin.1*
%{_mandir}/man1/xlogin.1*
%{_mandir}/man3/rancid.3*
%{_mandir}/man1/csblogin.1*
%{_mandir}/man1/noklogin.1*
%{_mandir}/man5/rancid.types.base.5*
%{_mandir}/man5/rancid.types.conf.5*
%{_mandir}/man1/a10login.1*
%{_mandir}/man1/brlogin.1*
%{_mandir}/man1/fxlogin.1*
%{_mandir}/man1/rblogin.1*
%{_mandir}/man7/lg_intro.7*
%{_mandir}/man7/rancid_intro.7*
%dir %{_libdir}/rancid
%{_libdir}/rancid/arcos.pm
%{_libdir}/rancid/fortigate.pm
%{_libdir}/rancid/iossb.pm
%{_libdir}/rancid/sros.pm
%{_libdir}/rancid/arbor.pm
%{_libdir}/rancid/dell.pm
#%{_libdir}/rancid/eos.pm
%{_libdir}/rancid/foundry.pm
%{_libdir}/rancid/ios.pm
%{_libdir}/rancid/iosshtech.pm
%{_libdir}/rancid/iosxr.pm
%{_libdir}/rancid/junos.pm
%{_libdir}/rancid/mrv.pm
%{_libdir}/rancid/rancid.pm
%{_libdir}/rancid/ciscowlc.pm
%{_libdir}/rancid/nxos.pm
%{_libdir}/rancid/panos.pm
%{_libdir}/rancid/acos.pm
%{_libdir}/rancid/rbt.pm
%{_libdir}/rancid/wavesvros.pm
%{_libdir}/rancid/aeos.pm
%{_libdir}/rancid/bigip.pm
%{_libdir}/rancid/edgemax.pm
%{_libdir}/rancid/edgerouter.pm
%{_libdir}/rancid/exos.pm
%{_libdir}/rancid/brocadevdx.pm
%{_libdir}/rancid/fss2.pm
%{_libdir}/rancid/fxos.pm
%{_libdir}/rancid/vrp.pm
%{_libdir}/rancid/avocent.pm
%{_libdir}/rancid/dnos10.pm
%{_libdir}/rancid/dnos9.pm
%{_libdir}/rancid/frr.pm
%{_libdir}/rancid/routeros.pm
%{_libdir}/rancid/smc.pm

%defattr(-,%{name},%{name})
/var/log/%{name}

%doc BUGS CHANGES COPYING FAQ README*

%changelog
* Wed Sep 22 2021 Local OBS User <cs@linux-administrator.com>
- update to release 3.13
- update rancid-skip-ping-test.patch
- update rancid-3.13-brocadevdx_makefiles.patch
* Tue May 28 2019 Local OBS User <cs@linux-administrator.com>
- update to release 3.9
* Fri Aug 24 2018 cs@linux-administrator.com
- update to release 3.8
- update rancid-3.8.0-brocadevdx_makefiles.patch
* Thu Jan 12 2017 cs@linux-administrator.com
- update to release 3.6.2
* Fri Dec 16 2016 cs@linux-administrator.com
- update to release 3.6.1
* Tue Dec  6 2016 cs@linux-administrator.com
- update to release 3.6.0
- adapt rancid-3.5.1-brocadevdx_makefiles.patch
  to rancid-3.6.0-brocadevdx_makefiles.patch
* Mon Oct 31 2016 cs@linux-administrator.com
- add upstream patch rancid-3.5.1.p1
* Sat Sep 10 2016 cs@linux-administrator.com
- added initial patches for brocadevdx module
* Thu Sep  8 2016 cs@linux-administrator.com
- update to release 3.5.1
* Tue Sep  6 2016 cs@linux-administrator.com
- update to release 3.5.0
* Tue Feb 16 2016 cs@linux-administrator.com
- update to release 3.4.1
* Fri May 29 2015 cs@linux-administrator.com
- add upstream patches for 3.2 release (p1 - p7)
* Thu Apr  9 2015 cs@linux-administrator.com
- update to release 3.2
* Wed Jul 23 2014 cs@linux-administrator.com
- update to release 3.1
* Sat Mar 29 2014 cs@linux-administrator.com
- added upstream patches for release 2.3.8
* Fri Dec 13 2013 cs@linux-administrator.com
- add files for DELL switches
- add log directory
- add default rancid user to system
* Sun Jan 13 2013 cs@linux-administrator.com
- Update to version 2.3.8
* Mon Aug 15 2011 cs@linux-administrator.com
- Update to version 2.3.6
